{

This unit is part of MKVExtractGUI2 project
(C) Eugene Pashin, 2010-2011
pashin@rambler.ru

}
unit textview;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfrmTextView = class(TForm)
    Memo1: TMemo;
    Button1: TButton;
    Button2: TButton;
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    function Execute(S: string): boolean;
  end;

var
  frmTextView: TfrmTextView;

implementation

{$R *.dfm}

{ TfrmTextView }

procedure TfrmTextView.Button2Click(Sender: TObject);
begin
  Memo1.SelectAll();
  Memo1.CopyToClipboard;
end;

function TfrmTextView.Execute(S: string): boolean;
begin
  Memo1.Text := S;
  ActiveControl := Memo1;
  Memo1.SelectAll;
  Result:= ShowModal=mrOK;
end;

end.
